<template>
  <require from="./order-table.scss"></require>

  <p if.bind="!canCheckout">Your basket is empty</p>
  <table
    if.bind="canCheckout"
    class="table is-stripped is-hoverable is-fullwidth"
  >
    <tbody if.bind="canCheckout">
      <tr repeat.for="item of orderItems">
        <td>
          <button class="button is-small">-</button>
          <input
            class="input is-primary is-small"
            type="text"
            value="${item.quantity}"
          />
          <button class="button is-small">+</button>
        </td>
        <td>${item.itemName}</td>
        <td>${item.subtotal}</td>
      </tr>
    </tbody>
    <tfoot if.bind="canCheckout">
      <tr>
        <th></th>
        <th>Total</th>
        <th>
          <!-- total price goes here -->
          ${totalPrice}
        </th>
      </tr>
    </tfoot>
  </table>
  <button
    disabled.bind="!canCheckout"
    class="button is-link is-focused is-fullwidth"
    disabled
  >
    Checkout
  </button>
</template>
